Index: Makefile
===================================================================
--- Makefile	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ Makefile	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -813,98 +810,56 @@
 	external/fastjet/internal/Dnn3piCylinder.hh \
 	external/fastjet/internal/Dnn2piCylinder.hh
-tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn2piCylinder.hh
-tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf): \
-	external/fastjet/ClusterSequenceAreaBase.$(SrcSuf) \
-	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
-	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/MinHeap.$(ObjSuf): \
-	external/fastjet/MinHeap.$(SrcSuf) \
-	external/fastjet/internal/MinHeap.hh
+tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
+	external/fastjet/ClusterSequenceArea.hh
+tmp/external/fastjet/LazyTiling25.$(ObjSuf): \
+	external/fastjet/LazyTiling25.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling25.hh \
+	external/fastjet/internal/TilingExtent.hh
+tmp/external/fastjet/Voronoi.$(ObjSuf): \
+	external/fastjet/Voronoi.$(SrcSuf) \
+	external/fastjet/internal/Voronoi.hh
+tmp/external/fastjet/Selector.$(ObjSuf): \
+	external/fastjet/Selector.$(SrcSuf) \
+	external/fastjet/Selector.hh \
+	external/fastjet/GhostedAreaSpec.hh
+tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
+	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/internal/TilingExtent.hh
+tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
+tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
+	external/fastjet/LimitedWarning.$(SrcSuf) \
+	external/fastjet/LimitedWarning.hh
+tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
+	external/fastjet/CompositeJetStructure.$(SrcSuf)
+tmp/external/fastjet/DnnPlane.$(ObjSuf): \
+	external/fastjet/DnnPlane.$(SrcSuf) \
+	external/fastjet/internal/DnnPlane.hh
 tmp/external/fastjet/RectangularGrid.$(ObjSuf): \
 	external/fastjet/RectangularGrid.$(SrcSuf) \
 	external/fastjet/RectangularGrid.hh
-tmp/external/fastjet/PseudoJet.$(ObjSuf): \
-	external/fastjet/PseudoJet.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh \
-	external/fastjet/CompositeJetStructure.hh
-tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceVoronoiArea.$(SrcSuf) \
-	external/fastjet/ClusterSequenceVoronoiArea.hh \
-	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
-	external/fastjet/ClusterSequenceArea.hh
-tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
-	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
-tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
-	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/MinHeap.hh \
-	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf): \
-	external/fastjet/ClusterSequenceStructure.$(SrcSuf) \
-	external/fastjet/ClusterSequenceStructure.hh \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
+	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequencePassiveArea.$(SrcSuf) \
+	external/fastjet/ClusterSequencePassiveArea.hh \
+	external/fastjet/ClusterSequenceVoronoiArea.hh
 tmp/external/fastjet/LazyTiling9Alt.$(ObjSuf): \
 	external/fastjet/LazyTiling9Alt.$(SrcSuf) \
 	external/fastjet/internal/LazyTiling9Alt.hh \
 	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/DnnPlane.$(ObjSuf): \
-	external/fastjet/DnnPlane.$(SrcSuf) \
-	external/fastjet/internal/DnnPlane.hh
-tmp/external/fastjet/Error.$(ObjSuf): \
-	external/fastjet/Error.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/config.h
-tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf): \
-	external/fastjet/LazyTiling9SeparateGhosts.$(SrcSuf) \
-	external/fastjet/internal/LazyTiling9SeparateGhosts.hh \
-	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/LazyTiling9.$(ObjSuf): \
-	external/fastjet/LazyTiling9.$(SrcSuf) \
-	external/fastjet/internal/LazyTiling9.hh \
-	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceActiveArea.hh \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
-tmp/external/fastjet/TilingExtent.$(ObjSuf): \
-	external/fastjet/TilingExtent.$(SrcSuf) \
-	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
-	external/fastjet/LimitedWarning.$(SrcSuf) \
-	external/fastjet/LimitedWarning.hh
-tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
-	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
-	external/fastjet/GhostedAreaSpec.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/Selector.$(ObjSuf): \
-	external/fastjet/Selector.$(SrcSuf) \
-	external/fastjet/Selector.hh \
-	external/fastjet/GhostedAreaSpec.hh
 tmp/external/fastjet/BasicRandom.$(ObjSuf): \
 	external/fastjet/BasicRandom.$(SrcSuf) \
 	external/fastjet/internal/BasicRandom.hh
-tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf): \
-	external/fastjet/ClusterSequence_CP2DChan.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/ClosestPair2D.hh
-tmp/external/fastjet/RangeDefinition.$(ObjSuf): \
-	external/fastjet/RangeDefinition.$(SrcSuf) \
-	external/fastjet/RangeDefinition.hh
+tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf): \
+	external/fastjet/ClusterSequenceAreaBase.$(SrcSuf) \
+	external/fastjet/ClusterSequenceAreaBase.hh
 tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf): \
 	external/fastjet/PseudoJetStructureBase.$(SrcSuf) \
@@ -930,18 +885,78 @@
 	external/fastjet/Error.hh \
 	external/fastjet/CompositeJetStructure.hh
+tmp/external/fastjet/Error.$(ObjSuf): \
+	external/fastjet/Error.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/config.h
+tmp/external/fastjet/RangeDefinition.$(ObjSuf): \
+	external/fastjet/RangeDefinition.$(SrcSuf) \
+	external/fastjet/RangeDefinition.hh
+tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf): \
+	external/fastjet/ClusterSequence_N2.$(SrcSuf)
+tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf): \
+	external/fastjet/ClusterSequenceStructure.$(SrcSuf) \
+	external/fastjet/ClusterSequenceStructure.hh \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn4piCylinder.hh
 tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
 	external/fastjet/ClusterSequence1GhostPassiveArea.$(SrcSuf) \
 	external/fastjet/ClusterSequence1GhostPassiveArea.hh
+tmp/external/fastjet/MinHeap.$(ObjSuf): \
+	external/fastjet/MinHeap.$(SrcSuf) \
+	external/fastjet/internal/MinHeap.hh
+tmp/external/fastjet/PseudoJet.$(ObjSuf): \
+	external/fastjet/PseudoJet.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh \
+	external/fastjet/CompositeJetStructure.hh
+tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn3piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn3piCylinder.hh
+tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf): \
+	external/fastjet/ClusterSequence_CP2DChan.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceVoronoiArea.$(SrcSuf) \
+	external/fastjet/ClusterSequenceVoronoiArea.hh \
+	external/fastjet/internal/Voronoi.hh
 tmp/external/fastjet/ClosestPair2D.$(ObjSuf): \
 	external/fastjet/ClosestPair2D.$(SrcSuf) \
 	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
+	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
+tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
+	external/fastjet/AreaDefinition.$(SrcSuf) \
+	external/fastjet/AreaDefinition.hh
+tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf): \
+	external/fastjet/tools/CASubJetTagger.$(SrcSuf)
 tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf): \
 	external/fastjet/tools/TopTaggerBase.$(SrcSuf)
-tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf): \
-	external/fastjet/tools/JHTopTagger.$(SrcSuf)
+tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf): \
+	external/fastjet/tools/BackgroundEstimatorBase.$(SrcSuf) \
+	external/fastjet/tools/BackgroundEstimatorBase.hh
+tmp/external/fastjet/tools/Subtractor.$(ObjSuf): \
+	external/fastjet/tools/Subtractor.$(SrcSuf) \
+	external/fastjet/tools/Subtractor.hh
+tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf): \
+	external/fastjet/tools/RestFrameNSubjettinessTagger.$(SrcSuf)
+tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf): \
+	external/fastjet/tools/JetMedianBackgroundEstimator.$(SrcSuf) \
+	external/fastjet/tools/JetMedianBackgroundEstimator.hh
 tmp/external/fastjet/tools/Recluster.$(ObjSuf): \
 	external/fastjet/tools/Recluster.$(SrcSuf) \
 	external/fastjet/tools/Recluster.hh \
 	external/fastjet/CompositeJetStructure.hh
+tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf): \
+	external/fastjet/tools/MassDropTagger.$(SrcSuf)
+tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf): \
+	external/fastjet/tools/JHTopTagger.$(SrcSuf)
 tmp/external/fastjet/tools/GridMedianBackgroundEstimator.$(ObjSuf): \
 	external/fastjet/tools/GridMedianBackgroundEstimator.$(SrcSuf) \
@@ -951,16 +966,4 @@
 	external/fastjet/tools/Filter.hh \
 	external/fastjet/tools/Recluster.hh
-tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf): \
-	external/fastjet/tools/JetMedianBackgroundEstimator.$(SrcSuf) \
-	external/fastjet/tools/JetMedianBackgroundEstimator.hh
-tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf): \
-	external/fastjet/tools/MassDropTagger.$(SrcSuf)
-tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf): \
-	external/fastjet/tools/BackgroundEstimatorBase.$(SrcSuf) \
-	external/fastjet/tools/BackgroundEstimatorBase.hh
-tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf): \
-	external/fastjet/tools/RestFrameNSubjettinessTagger.$(SrcSuf)
-tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf): \
-	external/fastjet/tools/CASubJetTagger.$(SrcSuf)
 tmp/external/fastjet/tools/Pruner.$(ObjSuf): \
 	external/fastjet/tools/Pruner.$(SrcSuf) \
@@ -968,51 +971,18 @@
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh \
 	external/fastjet/Selector.hh
-tmp/external/fastjet/tools/Subtractor.$(ObjSuf): \
-	external/fastjet/tools/Subtractor.$(SrcSuf) \
-	external/fastjet/tools/Subtractor.hh
-tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/area.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(SrcSuf)
+tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
+	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf): \
 	external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/Error.hh
@@ -1020,24 +990,46 @@
 	external/fastjet/plugins/TrackJet/TrackJetPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(SrcSuf)
+tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf): \
-	external/fastjet/plugins/EECambridge/EECambridgePlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(SrcSuf)
+tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
-	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf): \
-	external/fastjet/plugins/Jade/JadePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
-	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
+	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/area.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
 tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf): \
 	external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(SrcSuf) \
